/*
 * $Id: rplugin.h dc2a06c on Wed May 20 19:39:55 2009 +0000 by tyreld $
 *
 * (C) Copyright IBM Corp. 2004, 2009
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE ECLIPSE PUBLIC LICENSE
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Eclipse Public License from
 * http://www.opensource.org/licenses/eclipse-1.0.php
 *
 * Author:       Viktor Mihajlovski <mihajlov@de.ibm.cim>
 * Contributors: 
 *
 * Description: Repository Plugin Definitions
 *
 */

#ifndef RPLUGIN_H
#define RPLUGIN_H

#include "metric.h"

#define REPOSITORYMETRIC_DEFINITIONPROC _DefinedRepositoryMetrics

#define REPOSITORYMETRIC_DEFINITIONPROC_S "_DefinedRepositoryMetrics"

/* provided by caller */
typedef int (MetricRegisterId) (const char * pluginname, const char *midstr);

/* provided by plugin */
typedef int (RepositoryMetricsDefined) (MetricRegisterId *mr,
					const char * pluginname,
					size_t *mdnum,
					MetricCalculationDefinition **mc); 


#endif
